export enum PAY_STATUS {
  pending = 1,
  successs,
  failed,
  invalid,
  auto_pass,
  pass,
  not_pass,
  examining
}



export const STATUS_TXT = (status: number) => {
  switch (status) {
    case PAY_STATUS.pending:
      return 'Trans'
    case PAY_STATUS.successs:
      return 'Success'
    case PAY_STATUS.failed:
      return 'Failed'
    case PAY_STATUS.auto_pass:
      return 'Auto pass'
    case PAY_STATUS.pass:
      return 'Pass'
    case PAY_STATUS.not_pass:
      return 'Not pass'
    case PAY_STATUS.examining:
      return 'Examining'
    default:
      return 'Failed'
  }
}


export const STATUS_COLOR = (status: number) => {
  switch (status) {
    case PAY_STATUS.pending:
      return '#f3e615'
    case PAY_STATUS.successs:
      return '#00E7BB'
    case PAY_STATUS.failed:
      return '#ff0000'
    case PAY_STATUS.invalid:
      return '#ff0000'
    case PAY_STATUS.examining:
      return '#f3e615'
    default:
      return '#ff0000'
  }
}